<template>
  <div
    class="columns is-vcentered is-mobile mt-unit-parent"
    :class="unitePrincipale ? 'has-text-black' : 'has-text-grey'"
  >
    <div class="column is-narrow">
      <b-icon
        icon="flag"
        :size="!isPopUp && unitePrincipale ? 'is-medium' : ''"
        :class="unitePrincipale ? 'has-text-grey-dark' : 'has-text-grey-light'"
      />
    </div>
    <div class="column">
      <span class="mt-unit">{{ unite }} </span>
    </div>
  </div>
</template>

<script>
export default {
  name: 'MtUnite',
  props: {
    organisme: {
      type: Object,
      default: () => ({}),
    },
    unitePrincipale: {
      type: Boolean,
      default: () => false,
    },
    isPopUp: {
      type: Boolean,
      default: () => false,
    },
  },
  data() {
    return {
      unite: '',
    };
  },
  async created() {
    const organismeParents = await this.$api.organisme(this.organisme.id).organismesByEnfantOrderByHierarchie();
    this.unite = '';
    for (let i = 0; i < organismeParents.length; i += 1) {
      if (i !== organismeParents.length - 1) {
        this.unite += `${organismeParents[i].code} / `;
      } else {
        this.unite += `${organismeParents[i].code}`;
      }
    }
  },
};
</script>

<style scoped lang="scss"></style>
